#include "gui.hpp"

int main() {
  gui::FSM main;
  main.event(gui::Event::STARTED);

  while(main.active()) {
    main.render();

    // ZED: need to sort out how to deal with this in the FSM
    if(main.in_state(gui::State::IDLE)) {
      main.keyboard();
    } else if(main.in_state(gui::State::MAPPING)) {
      main.keyboard();
    } else{
      main.event(gui::Event::TICK);
    }

    main.mouse();
  }

  return 0;
}
